/*
 * Copyright (c) 2012, Texas Instruments Incorporated - http://www.ti.com/
 *   All rights reserved.
 *
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions are met:
 *       * Redistributions of source code must retain the above copyright
 *         notice, this list of conditions and the following disclaimer.
 *       * Redistributions in binary form must reproduce the above copyright
 *         notice, this list of conditions and the following disclaimer in the
 *         documentation and/or other materials provided with the distribution.
 *       * Neither the name of Texas Instruments Incorporated nor the
 *         names of its contributors may be used to endorse or promote products
 *         derived from this software without specific prior written permission.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 *   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 *   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


// This file defines utility functions, types, variables and constants
// The definitions are likely application specific and may change from one device to another

#ifndef _my_util_h_
#define _my_util_h_

#include <stdint.h>

extern cregister volatile uint32_t DNUM;
extern volatile uint32_t my_gvStartTime;
extern volatile uint32_t my_gvStopTime;

void my_startEmifPerfCounters (
    void
);
void my_stopEmifPerfCounters (
    uint32_t * count1Ptr,
    uint32_t * count2Ptr
);

int my_initMemGlobal (
    void
);
int my_initMemLocal (
    void
);

int my_initClockGlobal (
    void
);
int my_initClockLocal (
    void
);
uint32_t my_readClockLocal (
    void
);
uint32_t my_readClockGlobal (
    void
);

void my_waitAtCoreBarrier (
);
void my_lock (
    void
);
void my_unlock (
    void
);

void my_mfence (
    void
);
void my_cacheWbInvL2 (
    uint8_t * bufferPtr,
    uint32_t bufferSize
);

void my_waitBusy (
    uint32_t count
);

uint32_t my_waitForProcessBarrier (
);
void my_endProcessBarrier (
    uint32_t token
);

void *
my_ntoa (
    uint32_t naddr
);

uint32_t
my_aton (
    void *aaddr
);

#endif /* _my_util_h_ */
