/*
 *   Copyright (c) 2012, Nokia Siemens Networks
 *   All rights reserved.
 *
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions are met:
 *       * Redistributions of source code must retain the above copyright
 *         notice, this list of conditions and the following disclaimer.
 *       * Redistributions in binary form must reproduce the above copyright
 *         notice, this list of conditions and the following disclaimer in the
 *         documentation and/or other materials provided with the distribution.
 *       * Neither the name of Nokia Siemens Networks nor the
 *         names of its contributors may be used to endorse or promote products
 *         derived from this software without specific prior written permission.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 *   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 *   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


/**
 *
 * Contributors
 *
 * The initial developer of the original code is Nokia Siemens Networks.
 *  The following contributors have made changes to 
 *  the original code as described below.
 * 
 *----------------------------------------------------------------------------------------------
 * Copyright (c) 2012, Texas Instruments Incorporated. All Rights Reserved. - http://www.ti.com/
 * 
 * From the original event_machine_hw_config.h.template , openem/event_machine_hw_config.h was
 * created with:
 *   - Compilation symbols check
 *----------------------------------------------------------------------------------------------
 *
 */


/**
 * @file: event_machine_hw_config.h
 *
 * @brief
 *    Open Event Machine HW TI specific configuration
 *
 */

#ifndef EVENT_MACHINE_HW_CONFIG_H
#define EVENT_MACHINE_HW_CONFIG_H



#ifdef __cplusplus
extern "C" {
#endif

#ifdef EM_64_BIT
  #error TI implementation only supports EM_32_BIT!
#endif

#if defined(TI_EM_C6670)
#if defined(TI_EM_C6678)
  #error Conflicting platform definition. Define TI_EM_C6670 or TI_EM_C6678!
#endif
#endif

#if defined(TI_EM_C6670)
#if defined(TI_EM_C6634)
  #error Conflicting platform definition. Define TI_EM_C6670 or TI_EM_C6634!
#endif
#endif

#if defined(TI_EM_C6634)
#if defined(TI_EM_C6678)
  #error Conflicting platform definition. Define TI_EM_C6634 or TI_EM_C6678!
#endif
#endif

#if defined(TI_EM_C6670)
#if defined(TI_EM_C6678)
#if defined(TI_EM_C6634)
  #error Missing platform definition. Define TI_EM_C6670 or TI_EM_C6678 or TI_EM_C6634!
#endif
#endif
#endif

#include <ti/runtime/openem/event_machine_sw_config.h>
#include <ti/runtime/openem/event_machine_hw_macros.h>
#include <ti/runtime/openem/event_machine_hw_types.h>

#ifdef __cplusplus
}
#endif


#endif
