/*
 * Copyright (c) 2012, Texas Instruments Incorporated - http://www.ti.com/
 *   All rights reserved.
 *
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions are met:
 *       * Redistributions of source code must retain the above copyright
 *         notice, this list of conditions and the following disclaimer.
 *       * Redistributions in binary form must reproduce the above copyright
 *         notice, this list of conditions and the following disclaimer in the
 *         documentation and/or other materials provided with the distribution.
 *       * Neither the name of Texas Instruments Incorporated nor the
 *         names of its contributors may be used to endorse or promote products
 *         derived from this software without specific prior written permission.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 *   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 *   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


/*
 * Copyright (c) 2012, Texas Instruments Incorporated - http://www.ti.com/
 *   All rights reserved.
 *
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions are met:
 *       * Redistributions of source code must retain the above copyright
 *         notice, this list of conditions and the following disclaimer.
 *       * Redistributions in binary form must reproduce the above copyright
 *         notice, this list of conditions and the following disclaimer in the
 *         documentation and/or other materials provided with the distribution.
 *       * Neither the name of Texas Instruments Incorporated nor the
 *         names of its contributors may be used to endorse or promote products
 *         derived from this software without specific prior written permission.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 *   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 *   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


/**
 * @file: event_machine_firmware.h
 *
 * @brief
 *    Open Event Machine firmware scheduler 
 *
 *    This file contains the PDSP instructions in a C array which are to  
 *    be downloaded from the host CPU to the PDSP instruction memory.     
 *    This file is generated by the PDSP assembler.                       
 *
 */

#ifndef EVENT_MACHINE_FIRMWARE_H_
#define EVENT_MACHINE_FIRMWARE_H_
#ifndef TI_EM_DIST_SW_SCHED
#ifdef _LITTLE_ENDIAN



#ifndef TI_EM_GCC
#pragma DATA_SECTION (em_router_fw_c663x, ".tiEmGlobalSlow");
#endif


/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int em_router_fw_c663x[] =  {
     0x21000300,
     0x80040000,
     0x01060005,
     0x2eff8180,
     0x81002a80,
     0x240000e1,
     0x240000e3,
     0x90e30a99,
     0x56e199fe,
     0x240080e3,
     0x2eff8b8a,
     0x82e36a8a,
     0x240000e4,
     0x2eff8795,
     0x0100e4e1,
     0x240010e2,
     0x6900e103,
     0x0100e1e0,
     0x21001800,
     0x0100e2e0,
     0x5101e104,
     0x00e2e0e0,
     0x0501e1e1,
     0x6f01e1fe,
     0x240080e3,
     0x0118e3e3,
     0x00e0e3f4,
     0x80f4ea95,
     0x0101e4e4,
     0x6f04e4f1,
     0x240200e3,
     0x2eff838a,
     0x80e36a8a,
     0x240208e3,
     0x2eff838a,
     0x80e36a8a,
     0x010099e1,
     0x0904e1e1,
     0x010ce1e1,
     0x90e12693,
     0x5100f393,
     0x0100f3f4,
     0x11f01313,
     0x69237303,
     0x24000073,
     0x110f5353,
     0xf100f395,
     0x51099508,
     0x51059514,
     0x510a952b,
     0x510b956f,
     0x510c9576,
     0x536695f1,
     0x240002f7,
     0x2100b400,
     0x240080e3,
     0x0115e3e3,
     0x90e30a04,
     0x51000403,
     0x240003f7,
     0x21004300,
     0x240001e4,
     0x80e30a04,
     0xf3007699,
     0x240040e3,
     0x82e36a99,
     0x240000f7,
     0x2100b400,
     0x240200e3,
     0x240004e1,
     0x10d5d5e2,
     0x6900e203,
     0x0100e2e0,
     0x21004f00,
     0x0100e1e0,
     0x5101e204,
     0x00e1e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x2eff8184,
     0xf1001684,
     0x00e0e3e3,
     0x80e32a84,
     0x240080e3,
     0x0114e3e3,
     0x90e30a04,
     0x240001e0,
     0x08d5e0e0,
     0x12000404,
     0x80e30a04,
     0x240000f7,
     0x2100b400,
     0xf1003684,
     0x0b10e4e5,
     0x24ffffe3,
     0x10e3e4e4,
     0x24ffffc6,
     0x24ffff86,
     0x5100e502,
     0x240000e6,
     0x240000f7,
     0x5100e408,
     0x5101e40e,
     0x5102e414,
     0x5103e41a,
     0x5104e420,
     0x5105e430,
     0x240002f7,
     0x2100b400,
     0x240080e3,
     0x0108e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x0100e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x010ce3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x0110e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240208e3,
     0x240004e1,
     0x10d5d5e2,
     0x6900e203,
     0x0100e2e4,
     0x21009400,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x0104e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x0116e3e3,
     0x90e30a04,
     0xf1001605,
     0x12e5e4e4,
     0x80e30a04,
     0x240000f7,
     0x2100b400,
     0x240080e3,
     0x0116e3e3,
     0x90e30a04,
     0xf1001605,
     0x1700e5e5,
     0x10e5e4e4,
     0x80e30a04,
     0x240000f7,
     0x2100b400,
     0x240000f7,
     0x2100b400,
     0xe1043396,
     0xe1083397,
     0xf1083380,
     0xf1043380,
     0x0904f8e3,
     0x010ce3e3,
     0x80e32694,
     0x240080e3,
     0x0115e3e3,
     0x90e30a04,
     0x57000466,
     0x240040e3,
     0x92e36a99,
     0x01001ee1,
     0x2701e110,
     0x00109de2,
     0x0904e2e2,
     0x010ce2e2,
     0x90e22692,
     0x6900f206,
     0x240001e4,
     0x0810e4e4,
     0x14e4e1e1,
     0x5300e159,
     0x2100c200,
     0x240080e3,
     0x0108e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x0100f2e5,
     0x11f00505,
     0x0100e5f1,
     0xf1003186,
     0x24003fc1,
     0x24ffff81,
     0x10e1e6e6,
     0x108686d0,
     0x051ad0d0,
     0x0504d0d0,
     0xf110318a,
     0xf1100a04,
     0xf1110a24,
     0x681b0403,
     0x683b2402,
     0x21010300,
     0x240080e3,
     0x0100e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x240080e3,
     0x0116e3e3,
     0x90e30a04,
     0x240001e5,
     0x10e5e4e4,
     0x50e5e402,
     0x2100f700,
     0x0010dce1,
     0x24ffffc5,
     0x24fff085,
     0x10e5f2f2,
     0x010bf2f2,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32692,
     0x21022400,
     0x2eff8186,
     0xe1003186,
     0xf1003180,
     0x24ffffc5,
     0x24fff085,
     0x10e5f2f2,
     0x0102f2f2,
     0x0010dde1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32692,
     0x21022400,
     0xf1004a84,
     0x68590407,
     0x68792406,
     0x681a4405,
     0x683a6404,
     0x685a0503,
     0x687a2502,
     0x21011100,
     0x240080e3,
     0x010ce3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x2100f700,
     0x0112eaea,
     0xf1006a8c,
     0x11ff8ce2,
     0x0908e2e1,
     0x0b088ce2,
     0x11ffe2e2,
     0x00e2e18c,
     0x11ffcce2,
     0x0908e2e1,
     0x0b08cce2,
     0x11ffe2e2,
     0x00e2e1cc,
     0x11ffcde2,
     0x0908e2e1,
     0x0b08cde2,
     0x11ffe2e2,
     0x00e2e1cd,
     0x0b088ce4,
     0x11ffe4e4,
     0x683e0402,
     0x21013200,
     0x240080e3,
     0x0104e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x240080e3,
     0x0116e3e3,
     0x90e30a04,
     0x240002e5,
     0x10e5e4e4,
     0x56e5e4be,
     0x2100f700,
     0x01008ce2,
     0x11ffe28c,
     0x0b0ecd30,
     0x240080e3,
     0x0114e3e3,
     0x90e30a04,
     0xd030e412,
     0x2eff8186,
     0xe1003186,
     0xf1003180,
     0x24ffffc5,
     0x24fff085,
     0x10e5f2f2,
     0x0102f2f2,
     0x240080e3,
     0x0110e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x0010dde1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32692,
     0x21022400,
     0xf1143193,
     0x01009ce1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32692,
     0x01008ce1,
     0x240010e2,
     0x6900e103,
     0x0100e1e0,
     0x21015900,
     0x0100e2e0,
     0x5101e104,
     0x00e2e0e0,
     0x0501e1e1,
     0x6f01e1fe,
     0x240080e3,
     0x0118e3e3,
     0x00e0e3f4,
     0x90f4ea95,
     0x51003564,
     0x50550d3a,
     0x51002d1c,
     0x2eff8186,
     0xe1003386,
     0xf1003380,
     0x24ffffc5,
     0x24fff085,
     0x10e5f3f3,
     0x0102f3f3,
     0x240208e3,
     0x240004e1,
     0x103030e2,
     0x6900e203,
     0x0100e2e4,
     0x21017200,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x0010dde1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32693,
     0x21022400,
     0x2eff8186,
     0xe1003786,
     0x24ffffc5,
     0x24fff085,
     0x10e5f7f7,
     0x0102f7f7,
     0xf1003786,
     0x240208e3,
     0x240004e1,
     0x103030e2,
     0x6900e203,
     0x0100e2e4,
     0x21018d00,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x0010dde1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32697,
     0x24000035,
     0x80f4ea95,
     0x2101c100,
     0x50752d29,
     0x2eff8186,
     0xe1003386,
     0xf1003380,
     0x24ffffc5,
     0x24fff085,
     0x10e5f3f3,
     0x0102f3f3,
     0x2eff8186,
     0xe1003786,
     0x24ffffc5,
     0x24fff085,
     0x10e5f7f7,
     0x0102f7f7,
     0xf1003780,
     0x240208e3,
     0x240004e1,
     0x103030e2,
     0x6900e203,
     0x0100e2e4,
     0x2101b200,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x0010dde1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32693,
     0x0010dde1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32697,
     0x24000035,
     0x80f4ea95,
     0x21022400,
     0x5101351d,
     0x51002d1c,
     0x2eff8186,
     0xe1003386,
     0xf1003380,
     0x24ffffc5,
     0x24fff085,
     0x10e5f3f3,
     0x0102f3f3,
     0x240208e3,
     0x240004e1,
     0x103030e2,
     0x6900e203,
     0x0100e2e4,
     0x2101d500,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x0010dde1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32693,
     0x21022400,
     0x2eff8187,
     0x0100f3e5,
     0x0100e5ef,
     0xf10c2f80,
     0x00e0e7e7,
     0x58e7d005,
     0x04d0e7e7,
     0x04e7e0e0,
     0xe10c2f80,
     0x0100d0e7,
     0xf1142f85,
     0x6f00e5f7,
     0x2eff818e,
     0x6901350a,
     0xe1143893,
     0x00d09696,
     0x7096cc04,
     0x0100eff8,
     0x01017575,
     0x2101f400,
     0x24000035,
     0x0100f7ee,
     0x2101fe00,
     0x70d0cc08,
     0x24000135,
     0x0100d096,
     0x01000d55,
     0x24000175,
     0x0100f3f7,
     0x0100eff8,
     0x2101fe00,
     0x0100f3ee,
     0x80f4ea95,
     0x103030ea,
     0x5100ee24,
     0xf5006e8f,
     0x243fffe1,
     0x10e1cde2,
     0x0100e2f7,
     0x24ffffd8,
     0x24000098,
     0x2400ffc2,
     0x24000082,
     0x1700e2e2,
     0x10e2f0f0,
     0x2400ffe1,
     0x0910e1e1,
     0x00e1f0f0,
     0x240200e5,
     0x240004e1,
     0x6900ea03,
     0x0100eae0,
     0x21021800,
     0x0100e1e0,
     0x5101ea04,
     0x00e1e0e0,
     0x0501eaea,
     0x6f01eafe,
     0x00e0e5e5,
     0x24ffc0c1,
     0x24000081,
     0x10e1efef,
     0x00ccefef,
     0xe5006e8f,
     0xf1002e80,
     0x0102eeee,
     0x90e52a84,
     0x0904e4e3,
     0x010ce3e3,
     0x80e3268e,
     0x21002400,
     0x240000f7,
     0xe100f395,
     0x24000078,
     0x0904f8e3,
     0x010ce3e3,
     0x80e32694,
     0x2a000000 };

#ifndef TI_EM_GCC
#pragma DATA_SECTION (em_scheduler_router_fw_c663x, ".tiEmGlobalSlow");
#endif


/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int em_scheduler_router_fw_c663x[] =  {
     0x21000300,
     0x80050000,
     0x01070000,
     0x2eff8180,
     0x81002a80,
     0x2eff8380,
     0x241c00e2,
     0x00e2e1e3,
     0x80832a80,
     0x0101e1e1,
     0x6f0401fd,
     0x2eff8180,
     0x241d00e1,
     0x2400008a,
     0x240000ca,
     0x2400000b,
     0x2400002b,
     0x2400004b,
     0x2400006b,
     0x240000ec,
     0x8081ea8a,
     0x01108181,
     0x0101e0e0,
     0x6f08e0fd,
     0x241414e3,
     0x2eff8393,
     0x80836a93,
     0x241404e3,
     0x2eff878e,
     0x8083ea8e,
     0x241a20e3,
     0x2eff818a,
     0x80832a8a,
     0x91000ac9,
     0x5700c9ff,
     0x10c9c9e1,
     0x0904e1e1,
     0x010ce1e1,
     0x90e12685,
     0x5700e5fc,
     0x0100e5e6,
     0x11f00505,
     0x69236503,
     0x24000065,
     0x110f4545,
     0xf100e58d,
     0x5100ed07,
     0x240001ef,
     0xe108258f,
     0x0904f0e3,
     0x010ce3e3,
     0x80e32686,
     0x21002300,
     0x0100c99d,
     0xf3006e87,
     0x01009dc9,
     0x241cf8e2,
     0x80826a8a,
     0x241b20e2,
     0x01008c9d,
     0x090dccdd,
     0x80822a8c,
     0x2eff8194,
     0x241e00f5,
     0x00ddf5f5,
     0x2eff8797,
     0x80f5eb97,
     0x01109595,
     0x0101f4f4,
     0x6f20f4fd,
     0x240000ef,
     0xe108258f,
     0x0904f0e3,
     0x010ce3e3,
     0x80e32686,
     0x0100c9e0,
     0x0904e0e0,
     0x010ce0e0,
     0x90e02685,
     0x5100e525,
     0x0100e5e6,
     0x69236503,
     0x24000065,
     0x110f4545,
     0x110f05e1,
     0x11f00505,
     0x5102e104,
     0xf100a58d,
     0x5101e13d,
     0x5100e156,
     0xf100e58d,
     0x5102ed1a,
     0x5101ed10,
     0x5100ed0d,
     0x5104ed10,
     0x5103ed20,
     0x5108ed2b,
     0x5166ed03,
     0x240002ef,
     0x21009000,
     0x240000ef,
     0xe108258f,
     0x0904f0e3,
     0x010ce3e3,
     0x80e32686,
     0x2a000000,
     0x240003ef,
     0x21009000,
     0x240000ef,
     0x21009000,
     0x240000ef,
     0x241c00e2,
     0x09014ee1,
     0x00e2e1e2,
     0x80e20a8e,
     0x21009000,
     0x21024900,
     0x240000ef,
     0x2eff8380,
     0x241d80e2,
     0xf0e1ee98,
     0x8082ea98,
     0x0101e0e0,
     0x0110e1e1,
     0x01108282,
     0x6708e0fb,
     0x21009000,
     0x240000ef,
     0x241414e3,
     0x90e36a93,
     0x13011414,
     0xf3002e95,
     0x01005958,
     0x01009998,
     0x80e36a93,
     0x241404e4,
     0x240010e1,
     0x80e4ea95,
     0x21009000,
     0x240000ef,
     0x240000ca,
     0xf10c0e8a,
     0x241a20e4,
     0x80e42a8a,
     0xe108258f,
     0x0904f0e3,
     0x010ce3e3,
     0x80e32686,
     0x21024900,
     0x241d00e2,
     0x09040d01,
     0x00018282,
     0x9082aa8a,
     0x51024b13,
     0x51034b08,
     0x2400004b,
     0x240000ec,
     0x00880be3,
     0x24002365,
     0x01006b45,
     0x01008a85,
     0x2100a700,
     0x2400014b,
     0x00882be3,
     0x24002365,
     0x01006b45,
     0x0100ca85,
     0x8082aa8a,
     0x0904e3e3,
     0x010ce3e3,
     0x80e32685,
     0x21024900,
     0x2400014b,
     0x8082aa8a,
     0x21024900,
     0x0b03c8e0,
     0x92e0e590,
     0x09040de1,
     0x241d80e2,
     0x00018282,
     0x9082ea98,
     0x241d00e2,
     0x00018282,
     0x9082aa8a,
     0x240060e0,
     0x10fbf3e1,
     0x10fbf7e2,
     0x12e2e1e3,
     0x6900e311,
     0x0520e0e0,
     0x10faf2e1,
     0x10faf6e2,
     0x12e2e1e3,
     0x6900e30c,
     0x0520e0e0,
     0x10f9f1e1,
     0x10f9f5e2,
     0x12e2e1e3,
     0x6900e307,
     0x0520e0e0,
     0x10f8f0e1,
     0x10f8f4e2,
     0x12e2e1e3,
     0x6900e302,
     0x53004b79,
     0x5100e30b,
     0x51004b04,
     0x2701e3f0,
     0x00f0e0f0,
     0x700bf007,
     0x5100e1e8,
     0x5100e21d,
     0x2701e1e1,
     0x2701e2e2,
     0x60e1e21b,
     0x2101bb00,
     0x24000070,
     0x110f6b50,
     0x01008a90,
     0xf1043091,
     0x0b030bf0,
     0x0904f0f0,
     0x00f1f0f0,
     0x00c7f0f0,
     0x0904f0f0,
     0x010cf0f0,
     0x90f02690,
     0x6900f003,
     0x5300e361,
     0x2100d200,
     0x2400024b,
     0x09040de1,
     0x241d00e2,
     0x00018282,
     0x01068282,
     0x80820a4b,
     0x2400004d,
     0x240001e1,
     0xe1102e81,
     0x2101e800,
     0x2701e1e1,
     0x00e1e0e0,
     0x0b03e06d,
     0x0100e02d,
     0x00c8e0e0,
     0x0904e0e0,
     0x010ce0e0,
     0x90e02690,
     0x5300d04d,
     0x11f01010,
     0xf5007091,
     0x6900f905,
     0x24ffffd3,
     0x24000093,
     0xe1207092,
     0x21010100,
     0x0100f9f2,
     0x5101520b,
     0x09040de1,
     0x241d00e2,
     0x09024b4b,
     0x51044b04,
     0x240000ec,
     0x2400008a,
     0x240000ca,
     0x00018282,
     0x8082aa8a,
     0x21020100,
     0x10929293,
     0x241b20e3,
     0x90e32a9d,
     0x09049de3,
     0x010ce3e3,
     0x90e3269e,
     0x5700defd,
     0x241e00e2,
     0x00dd8282,
     0x09056d83,
     0x00838283,
     0x9283eb94,
     0x50949311,
     0x50d49316,
     0x5095931c,
     0x50d59322,
     0x50969328,
     0x50d6932e,
     0x50979334,
     0x50d7933a,
     0x50989340,
     0x50d89346,
     0x5099934c,
     0x50d99352,
     0x509a9358,
     0x50da935e,
     0x509b9364,
     0x50db936a,
     0x21019b00,
     0x09046de1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0101e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0102e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0103e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0104e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0105e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0106e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0107e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0108e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x0109e1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x010ae1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x010be1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x010ce1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x010de1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x010ee1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09046de1,
     0x010fe1e1,
     0x00c7e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x09049de3,
     0x010ce3e3,
     0x80e3269e,
     0x2100af00,
     0x006d87e3,
     0x0904e3e3,
     0x010ce3e3,
     0x90e3269c,
     0x0100fce0,
     0x24000060,
     0x0100406b,
     0x110f4040,
     0xf1042081,
     0x0901e1e1,
     0x09056de0,
     0x00e0e1e1,
     0x00828182,
     0x80820b93,
     0x09049de3,
     0x010ce3e3,
     0x80e3269e,
     0x0100f2ec,
     0x51004b05,
     0x2400034b,
     0x01000b2b,
     0x01008aca,
     0x2101b300,
     0x2400014b,
     0x01002d0b,
     0x01009c8a,
     0x09040de1,
     0x241d00e2,
     0x00018282,
     0x8082aa8a,
     0x21020100,
     0x2701e2e2,
     0x00e2e0e0,
     0x0b03e06d,
     0x0100e02d,
     0x0088e0e0,
     0x0904e0e0,
     0x010ce0e0,
     0x90e02684,
     0x5500e4ed,
     0x0100e4e3,
     0x24000063,
     0x110f4343,
     0xf1042381,
     0x09046de0,
     0x00e1e0e5,
     0x00c7e5e5,
     0x241b20e3,
     0x90e32a9d,
     0x09049de3,
     0x010ce3e3,
     0x90e3269e,
     0x5700defd,
     0x0904e5e5,
     0x010ce5e5,
     0x90e52690,
     0x6900f011,
     0x240000e0,
     0x241e00e3,
     0x0901e1e1,
     0x09056de5,
     0x00e5e1e1,
     0x00838181,
     0x00dd8181,
     0x80810b80,
     0x006d87e3,
     0x0904e3e3,
     0x010ce3e3,
     0x80e32684,
     0x09049de3,
     0x010ce3e3,
     0x80e3269e,
     0x2100af00,
     0x09049de3,
     0x010ce3e3,
     0x80e3269e,
     0x2400ff4d,
     0xf5007091,
     0x0100f9f2,
     0x69ff4d16,
     0x0100f2ec,
     0x51004b0c,
     0x508a8407,
     0x2400034b,
     0x01008aca,
     0x0100848a,
     0x01000b2b,
     0x01002d0b,
     0x2101fc00,
     0x2400024b,
     0x240001f6,
     0xe1102e96,
     0x2101fc00,
     0x2400014b,
     0x0100848a,
     0x01002d0b,
     0x0100446b,
     0x09040de1,
     0x241d00e2,
     0x00018282,
     0x8082aa8a,
     0x000d8afc,
     0x0b1ef253,
     0x4900530e,
     0x0100f0fd,
     0x0504f0f1,
     0xf100319b,
     0xe100ee9b,
     0xf1043080,
     0x000d89e3,
     0x0904e3e3,
     0x010ce3e3,
     0x80e32690,
     0x21023700,
     0x113f7272,
     0xe1203092,
     0x21020300,
     0x241cf8e3,
     0x90836a8a,
     0x57008bfb,
     0x10f1f1e1,
     0x1d16e1e1,
     0x5103530a,
     0x51025305,
     0x01016be0,
     0x0904e0e0,
     0x48e0e10a,
     0x21022400,
     0x01014be0,
     0x0904e0e0,
     0x48e0e106,
     0x21022400,
     0x01018be0,
     0x0904e0e0,
     0x48e0e102,
     0x21022400,
     0xe1003080,
     0x000dcae3,
     0x2400ff00,
     0xe1061000,
     0x2eff8181,
     0x24004021,
     0x00890de2,
     0x12e2e1e1,
     0xe1081081,
     0x0100f0fd,
     0x0100f1fe,
     0x1f16fefe,
     0x0504f0f1,
     0xf100319b,
     0xe100ee9b,
     0xf1043080,
     0x130bf0f0,
     0x0904e3e3,
     0x010ce3e3,
     0x80e32690,
     0x241c00e2,
     0x09010de1,
     0x00e2e1e2,
     0x90e20a80,
     0x5100200e,
     0x240001e1,
     0x61200005,
     0x05200000,
     0x0800e1e1,
     0x81042381,
     0x21024900,
     0x0800e1e1,
     0x81002381,
     0x21024900,
     0x0100c9e0,
     0x0904e0e3,
     0x010ce3e3,
     0x80e32686,
     0x241b00e2,
     0x82e26a87,
     0x240000e9,
     0x241404ea,
     0x24141ceb,
     0x241414e3,
     0x0104e3e3,
     0x90e30a14,
     0x90eaea8e,
     0xc8e91466,
     0x01008ee4,
     0x0904e4e4,
     0x010ce4e4,
     0x90e42687,
     0x5100e735,
     0x0100e7e8,
     0x11f00707,
     0x69236703,
     0x24000067,
     0x110f4747,
     0xf100e795,
     0x240000f7,
     0x51069504,
     0x5107950f,
     0x240002f7,
     0x21028800,
     0x240004e3,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x21026d00,
     0x0100d5e0,
     0x5101e204,
     0x00d5e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x21028500,
     0x240004e3,
     0x240100e1,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x21027a00,
     0x0100e1e0,
     0x5101e204,
     0x00e1e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x21028400,
     0x0100d5e0,
     0x5101e204,
     0x00d5e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0xf0e31682,
     0x00ebe3e3,
     0x80e30a82,
     0xe1082797,
     0x0904f8e3,
     0x010ce3e3,
     0x80e32688,
     0x01008fe1,
     0x0904e1e1,
     0x010ce1e1,
     0x90e1268c,
     0x5100ec08,
     0x0100eced,
     0x11f00d0d,
     0xf1202d9d,
     0x243fffe1,
     0x10e1fde8,
     0x2400001c,
     0x2102bb00,
     0x241a20e3,
     0x90832a8a,
     0x240000e5,
     0x50858a1d,
     0x01008ae1,
     0x0904e1e1,
     0x010ce1e1,
     0x90e1268c,
     0x0100eced,
     0x11f00d0d,
     0x50e5ec16,
     0xf1308d96,
     0x240000e3,
     0x10833737,
     0x5085370e,
     0xf1002d95,
     0x240000f5,
     0xe1002d95,
     0x241414e3,
     0x0100e3e3,
     0x90e32a93,
     0x0101f3f3,
     0x80e32a93,
     0xf1002d80,
     0x13020d0d,
     0x0904cee3,
     0x010ce3e3,
     0x80e3268d,
     0x243fffe1,
     0x10e1d7e8,
     0x2400011c,
     0x2102bb00,
     0x241b00e2,
     0x92e26a87,
     0x21004b00,
     0x2400ffe1,
     0x240000e2,
     0x10e1e8e7,
     0x0ae2e7e7,
     0x243f00e1,
     0x240008e2,
     0x10e1e8e6,
     0x0ae2e6e6,
     0x010190e1,
     0x70e8e11b,
     0x240004e3,
     0x240100e1,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x2102d000,
     0x0100e1e0,
     0x5101e204,
     0x00e1e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x2102da00,
     0x0100e8e0,
     0x5101e204,
     0x00e8e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x00ebe3e3,
     0x90e30a85,
     0x240000e6,
     0x2102ec00,
     0x240004e3,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x2102e900,
     0x0100e7e0,
     0x5101e204,
     0x00e7e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x00ebe3e3,
     0x90e30a85,
     0x24000fe1,
     0xd0e1e50e,
     0xf1002d95,
     0x240000f5,
     0xe1002d95,
     0x241414e3,
     0x0100e3e3,
     0x90e32a93,
     0x0101f3f3,
     0x80e32a93,
     0xf1002d80,
     0x0904cee3,
     0x010ce3e3,
     0x80e3268c,
     0x21034300,
     0x244000e1,
     0x24000ee2,
     0x10e1e5e4,
     0x0ae2e4e4,
     0x6900e415,
     0x240100e1,
     0x240008e2,
     0x10e1e5e4,
     0x0ae2e4e4,
     0x0900e8e8,
     0x0910e4e4,
     0x00e8e4e4,
     0x51011c05,
     0x2400009d,
     0x2400005d,
     0x00fde4fd,
     0x21030d00,
     0x0100e4fd,
     0xe1202d9d,
     0x24007fe1,
     0x240000e2,
     0x10e1e5e4,
     0x0ae2e4e4,
     0x00e4cfe5,
     0x21031c00,
     0x243fffe1,
     0x240000e2,
     0x10e1e5e4,
     0x0ae2e4e4,
     0x00e4e6e5,
     0x010190e1,
     0x48e8e102,
     0x0451e5e5,
     0x68918523,
     0xf1082d82,
     0x24f0ffc1,
     0x24ffff81,
     0x10e2e1e2,
     0x240200c1,
     0x24000081,
     0x12e2e1e2,
     0xe1082d82,
     0xf1002d82,
     0x24c1ffc1,
     0x24ffff81,
     0x10e2e1e2,
     0x243c00c1,
     0x24000081,
     0x12e2e1e2,
     0xe1002d82,
     0xf1308d96,
     0x2eff8396,
     0x240000e1,
     0x090ee1e1,
     0x1281d7d7,
     0x10e8e8e1,
     0x243fffe2,
     0x10e2e1e1,
     0x1281d7d7,
     0xe1308d96,
     0xf1002d80,
     0x10edede0,
     0x130fe0e0,
     0x0904e5e3,
     0x010ce3e3,
     0x80e32680,
     0x57001c5b,
     0x2102b800,
     0xf1002d80,
     0x0904e5e3,
     0x010ce3e3,
     0x80e3268c,
     0x57001c55,
     0x2102b800 };


#endif /* _LITTLE_ENDIAN */
#ifdef _BIG_ENDIAN


#ifndef TI_EM_GCC
#pragma DATA_SECTION (em_router_fw_c663x, ".tiEmGlobalSlow");
#endif


/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int em_router_fw_c663x[] =  {
     0x21000300,
     0x80040001,
     0x01060005,
     0x2eff8180,
     0x81002a80,
     0x240000e1,
     0x240000e3,
     0x90e30a99,
     0x56e1d9fe,
     0x240080e3,
     0x2eff8b8a,
     0x82e36a8a,
     0x240000e4,
     0x2eff8795,
     0x0100e4e1,
     0x240010e2,
     0x6900e103,
     0x0100e1e0,
     0x21001800,
     0x0100e2e0,
     0x5101e104,
     0x00e2e0e0,
     0x0501e1e1,
     0x6f01e1fe,
     0x240080e3,
     0x0118e3e3,
     0x00e0e3f4,
     0x80f4ea95,
     0x0101e4e4,
     0x6f04e4f1,
     0x240200e3,
     0x2eff838a,
     0x80e36a8a,
     0x240208e3,
     0x2eff838a,
     0x80e36a8a,
     0x0100d9e1,
     0x0904e1e1,
     0x010ce1e1,
     0x90e12693,
     0x5100f393,
     0x0100f3f4,
     0x11f01313,
     0x69237303,
     0x24000073,
     0x110f5353,
     0xf100f395,
     0x5109d508,
     0x5105d514,
     0x510ad52b,
     0x510bd56f,
     0x510cd576,
     0x5366d5e2,
     0x240002f7,
     0x2100b400,
     0x240080e3,
     0x0115e3e3,
     0x90e30a04,
     0x51000403,
     0x240003f7,
     0x21004300,
     0x240001e4,
     0x80e30a04,
     0xf3007699,
     0x240040e3,
     0x82e36a99,
     0x240000f7,
     0x2100b400,
     0x240200e3,
     0x240004e1,
     0x109595e2,
     0x6900e203,
     0x0100e2e0,
     0x21004f00,
     0x0100e1e0,
     0x5101e204,
     0x00e1e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x2eff8184,
     0xf1001684,
     0x00e0e3e3,
     0x80e32a84,
     0x240080e3,
     0x0114e3e3,
     0x90e30a64,
     0x240001e0,
     0x0895e0e0,
     0x12000404,
     0x80e30a64,
     0x240000f7,
     0x2100b400,
     0xf1003684,
     0x0b10e4e5,
     0x24ffffe3,
     0x10e3e4e4,
     0x24ffffc6,
     0x24ffff86,
     0x5100e502,
     0x240000e6,
     0x240000f7,
     0x5100e408,
     0x5101e40e,
     0x5102e414,
     0x5103e41a,
     0x5104e420,
     0x5105e430,
     0x240002f7,
     0x2100b400,
     0x240080e3,
     0x0108e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x0100e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x010ce3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x0110e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240208e3,
     0x240004e1,
     0x109595e2,
     0x6900e203,
     0x0100e2e4,
     0x21009400,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x0104e3e3,
     0x90e32a84,
     0x10e4e4f6,
     0x10e6e4e4,
     0x80e32a84,
     0x2100b400,
     0x240080e3,
     0x0116e3e3,
     0x90e30a04,
     0xf1001605,
     0x12e5e4e4,
     0x80e30a04,
     0x240000f7,
     0x2100b400,
     0x240080e3,
     0x0116e3e3,
     0x90e30a04,
     0xf1001605,
     0x1700e5e5,
     0x10e5e4e4,
     0x80e30a04,
     0x240000f7,
     0x2100b400,
     0x240000f7,
     0x2100b400,
     0xe1043396,
     0xe1083397,
     0xf1083380,
     0xf1043380,
     0x0904f8e3,
     0x010ce3e3,
     0x80e32694,
     0x240080e3,
     0x0115e3e3,
     0x90e30a04,
     0x57000466,
     0x240040e3,
     0x92e36a99,
     0x01007ee1,
     0x2701e170,
     0x0070dde2,
     0x0904e2e2,
     0x010ce2e2,
     0x90e22692,
     0x6900f206,
     0x240001e4,
     0x0870e4e4,
     0x14e4e1e1,
     0x5300e14a,
     0x2100c200,
     0x240080e3,
     0x0108e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x0100f2e5,
     0x11f00505,
     0x0100e5f1,
     0xf1003186,
     0x24003fc1,
     0x24ffff81,
     0x10e1e6e6,
     0x10868690,
     0x051a9090,
     0x05049090,
     0xf110318a,
     0xf1100a64,
     0xf1110a44,
     0x687b0403,
     0x685b2402,
     0x21010300,
     0x240080e3,
     0x0100e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x240080e3,
     0x0116e3e3,
     0x90e30a04,
     0x240001e5,
     0x10e5e4e4,
     0x50e5e402,
     0x2100f700,
     0x00709ce1,
     0x24ffffc5,
     0x24fff085,
     0x10e5f2f2,
     0x010bf2f2,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32692,
     0x21021500,
     0x2eff8186,
     0xe1003186,
     0xf1003180,
     0x24ffffc5,
     0x24fff085,
     0x10e5f2f2,
     0x0102f2f2,
     0x00709de1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32692,
     0x21021500,
     0xf1004a84,
     0x68390407,
     0x68192406,
     0x687a4405,
     0x685a6404,
     0x683a0503,
     0x681a2502,
     0x21011100,
     0x240080e3,
     0x010ce3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x2100f700,
     0x0112eaea,
     0xf1006a8c,
     0x0b08cce4,
     0x11ffe4e4,
     0x685e0402,
     0x21012300,
     0x240080e3,
     0x0104e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x240080e3,
     0x0116e3e3,
     0x90e30a04,
     0x240002e5,
     0x10e5e4e4,
     0x56e5e4cd,
     0x2100f700,
     0x0100cce2,
     0x11ffe2cc,
     0x0b0e8d50,
     0x240080e3,
     0x0114e3e3,
     0x90e30a04,
     0xd050e412,
     0x2eff8186,
     0xe1003186,
     0xf1003180,
     0x24ffffc5,
     0x24fff085,
     0x10e5f2f2,
     0x0102f2f2,
     0x240080e3,
     0x0110e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x00709de1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32692,
     0x21021500,
     0xf1143193,
     0x0100dce1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32692,
     0x0100cce1,
     0x240010e2,
     0x6900e103,
     0x0100e1e0,
     0x21014a00,
     0x0100e2e0,
     0x5101e104,
     0x00e2e0e0,
     0x0501e1e1,
     0x6f01e1fe,
     0x240080e3,
     0x0118e3e3,
     0x00e0e3f4,
     0x90f4ea95,
     0x51005564,
     0x50356d3a,
     0x51004d1c,
     0x2eff8186,
     0xe1003386,
     0xf1003380,
     0x24ffffc5,
     0x24fff085,
     0x10e5f3f3,
     0x0102f3f3,
     0x240208e3,
     0x240004e1,
     0x105050e2,
     0x6900e203,
     0x0100e2e4,
     0x21016300,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x00709de1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32693,
     0x21021500,
     0x2eff8186,
     0xe1003786,
     0x24ffffc5,
     0x24fff085,
     0x10e5f7f7,
     0x0102f7f7,
     0xf1003786,
     0x240208e3,
     0x240004e1,
     0x105050e2,
     0x6900e203,
     0x0100e2e4,
     0x21017e00,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x00709de1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32697,
     0x24000055,
     0x80f4ea95,
     0x2101b200,
     0x50154d29,
     0x2eff8186,
     0xe1003386,
     0xf1003380,
     0x24ffffc5,
     0x24fff085,
     0x10e5f3f3,
     0x0102f3f3,
     0x2eff8186,
     0xe1003786,
     0x24ffffc5,
     0x24fff085,
     0x10e5f7f7,
     0x0102f7f7,
     0xf1003780,
     0x240208e3,
     0x240004e1,
     0x105050e2,
     0x6900e203,
     0x0100e2e4,
     0x2101a300,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x00709de1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32693,
     0x00709de1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32697,
     0x24000055,
     0x80f4ea95,
     0x21021500,
     0x5101551d,
     0x51004d1c,
     0x2eff8186,
     0xe1003386,
     0xf1003380,
     0x24ffffc5,
     0x24fff085,
     0x10e5f3f3,
     0x0102f3f3,
     0x240208e3,
     0x240004e1,
     0x105050e2,
     0x6900e203,
     0x0100e2e4,
     0x2101c600,
     0x0100e1e4,
     0x5101e204,
     0x00e1e4e4,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e4e3e3,
     0x90e32a84,
     0x0101e4e4,
     0x80e32a84,
     0x00709de1,
     0x0904e1e3,
     0x010ce3e3,
     0x80e32693,
     0x21021500,
     0x2eff8187,
     0x0100f3e5,
     0x0100e5ef,
     0xf10c2f80,
     0x00e0e7e7,
     0x58e79005,
     0x0490e7e7,
     0x04e7e0e0,
     0xe10c2f80,
     0x010090e7,
     0xf1142f85,
     0x6f00e5f7,
     0x2eff818e,
     0x6901550a,
     0xe1143893,
     0x0090d6d6,
     0x70d68c04,
     0x0100eff8,
     0x01011515,
     0x2101e500,
     0x24000055,
     0x0100f7ee,
     0x2101ef00,
     0x70908c08,
     0x24000155,
     0x010090d6,
     0x01006d35,
     0x24000115,
     0x0100f3f7,
     0x0100eff8,
     0x2101ef00,
     0x0100f3ee,
     0x80f4ea95,
     0x105050ea,
     0x5100ee24,
     0xf5006e8f,
     0x243fffe1,
     0x10e18de2,
     0x0100e2f7,
     0x24ffffd8,
     0x24000098,
     0x2400ffc2,
     0x24000082,
     0x1700e2e2,
     0x10e2f0f0,
     0x2400ffe1,
     0x0910e1e1,
     0x00e1f0f0,
     0x240200e5,
     0x240004e1,
     0x6900ea03,
     0x0100eae0,
     0x21020900,
     0x0100e1e0,
     0x5101ea04,
     0x00e1e0e0,
     0x0501eaea,
     0x6f01eafe,
     0x00e0e5e5,
     0x24ffc0c1,
     0x24000081,
     0x10e1efef,
     0x008cefef,
     0xe5006e8f,
     0xf1002e80,
     0x0102eeee,
     0x90e52a84,
     0x0904e4e3,
     0x010ce3e3,
     0x80e3268e,
     0x21002400,
     0x240000f7,
     0xe100f395,
     0x24000078,
     0x0904f8e3,
     0x010ce3e3,
     0x80e32694,
     0x2a000000 };

#ifndef TI_EM_GCC
#pragma DATA_SECTION (em_scheduler_router_fw_c663x, ".tiEmGlobalSlow");
#endif


/* This file contains the PDSP instructions in a C array which are to  */
/* be downloaded from the host CPU to the PDSP instruction memory.     */
/* This file is generated by the PDSP assembler.                       */

const unsigned int em_scheduler_router_fw_c663x[] =  {
     0x21000300,
     0x80050001,
     0x01070000,
     0x2eff8180,
     0x81002a80,
     0x2eff8380,
     0x241c00e2,
     0x00e2e1e3,
     0x80832a80,
     0x0101e1e1,
     0x6f0401fd,
     0x2eff8180,
     0x241d00e1,
     0x240000ca,
     0x2400008a,
     0x2400006b,
     0x2400004b,
     0x2400002b,
     0x2400000b,
     0x240000ec,
     0x8081ea8a,
     0x01108181,
     0x0101e0e0,
     0x6f08e0fd,
     0x241414e3,
     0x2eff8393,
     0x80836a93,
     0x241404e3,
     0x2eff878e,
     0x8083ea8e,
     0x241a20e3,
     0x2eff818a,
     0x80832a8a,
     0x91000ac9,
     0x570089ff,
     0x108989e1,
     0x0904e1e1,
     0x010ce1e1,
     0x90e12685,
     0x5700e5fc,
     0x0100e5e6,
     0x11f00505,
     0x69236503,
     0x24000065,
     0x110f4545,
     0xf100e58d,
     0x5100ed07,
     0x240001ef,
     0xe108258f,
     0x0904f0e3,
     0x010ce3e3,
     0x80e32686,
     0x21002300,
     0x0100899d,
     0xf3006e87,
     0x01009d89,
     0x241cf8e2,
     0x80826a8a,
     0x241b20e2,
     0x0100ccdd,
     0x090d8c9d,
     0x80822a8c,
     0x2eff8194,
     0x241e00f5,
     0x009df5f5,
     0x2eff8797,
     0x80f5eb97,
     0x01109595,
     0x0101f4f4,
     0x6f20f4fd,
     0x240000ef,
     0xe108258f,
     0x0904f0e3,
     0x010ce3e3,
     0x80e32686,
     0x010089e0,
     0x0904e0e0,
     0x010ce0e0,
     0x90e02685,
     0x5100e525,
     0x0100e5e6,
     0x69236503,
     0x24000065,
     0x110f4545,
     0x110f05e1,
     0x11f00505,
     0x5102e104,
     0xf100a58d,
     0x5101e13d,
     0x5100e156,
     0xf100e58d,
     0x5102ed1a,
     0x5101ed10,
     0x5100ed0d,
     0x5104ed10,
     0x5103ed20,
     0x5108ed2b,
     0x5166ed03,
     0x240002ef,
     0x21009000,
     0x240000ef,
     0xe108258f,
     0x0904f0e3,
     0x010ce3e3,
     0x80e32686,
     0x2a000000,
     0x240003ef,
     0x21009000,
     0x240000ef,
     0x21009000,
     0x240000ef,
     0x241c00e2,
     0x09014ee1,
     0x00e2e1e2,
     0x80e20ace,
     0x21009000,
     0x21024900,
     0x240000ef,
     0x2eff8380,
     0x241d80e2,
     0xf0e1ee98,
     0x8082ea98,
     0x0101e0e0,
     0x0110e1e1,
     0x01108282,
     0x6708e0fb,
     0x21009000,
     0x240000ef,
     0x241414e3,
     0x90e36a93,
     0x13017474,
     0xf3002e95,
     0x01003938,
     0x0100d9d8,
     0x80e36a93,
     0x241404e4,
     0x240010e1,
     0x80e4ea95,
     0x21009000,
     0x240000ef,
     0x2400008a,
     0xf10c0e8a,
     0x241a20e4,
     0x80e42a8a,
     0xe108258f,
     0x0904f0e3,
     0x010ce3e3,
     0x80e32686,
     0x21024900,
     0x241d00e2,
     0x09046d01,
     0x00018282,
     0x9082aa8a,
     0x51022b13,
     0x51032b08,
     0x2400002b,
     0x240000ec,
     0x00c86be3,
     0x24002365,
     0x01000b45,
     0x0100ca85,
     0x2100a700,
     0x2400012b,
     0x00c84be3,
     0x24002365,
     0x01000b45,
     0x01008a85,
     0x8082aa8a,
     0x0904e3e3,
     0x010ce3e3,
     0x80e32685,
     0x21024900,
     0x2400012b,
     0x8082aa8a,
     0x21024900,
     0x0b0388e0,
     0x92e0e590,
     0x09046de1,
     0x241d80e2,
     0x00018282,
     0x9082ea98,
     0x241d00e2,
     0x00018282,
     0x9082aa8a,
     0x240060e0,
     0x10fbf3e1,
     0x10fbf7e2,
     0x12e2e1e3,
     0x6900e311,
     0x0520e0e0,
     0x10faf2e1,
     0x10faf6e2,
     0x12e2e1e3,
     0x6900e30c,
     0x0520e0e0,
     0x10f9f1e1,
     0x10f9f5e2,
     0x12e2e1e3,
     0x6900e307,
     0x0520e0e0,
     0x10f8f0e1,
     0x10f8f4e2,
     0x12e2e1e3,
     0x6900e302,
     0x53002b79,
     0x5100e30b,
     0x51002b04,
     0x2701e3f0,
     0x00f0e0f0,
     0x706bf007,
     0x5100e1e8,
     0x5100e21d,
     0x2701e1e1,
     0x2701e2e2,
     0x60e1e21b,
     0x2101bb00,
     0x24000070,
     0x110f0b50,
     0x0100ca90,
     0xf1043091,
     0x0b036bf0,
     0x0904f0f0,
     0x00f1f0f0,
     0x0087f0f0,
     0x0904f0f0,
     0x010cf0f0,
     0x90f02690,
     0x6900f003,
     0x5300e361,
     0x2100d200,
     0x2400022b,
     0x09046de1,
     0x241d00e2,
     0x00018282,
     0x01068282,
     0x80820a4b,
     0x2400002d,
     0x240001e1,
     0xe1102e81,
     0x2101e800,
     0x2701e1e1,
     0x00e1e0e0,
     0x0b03e00d,
     0x0100e04d,
     0x0088e0e0,
     0x0904e0e0,
     0x010ce0e0,
     0x90e02690,
     0x5300d04d,
     0x11f01010,
     0xf5007091,
     0x6900f905,
     0x24ffffd3,
     0x24000093,
     0xe1207092,
     0x21010100,
     0x0100f9f2,
     0x5101520b,
     0x09046de1,
     0x241d00e2,
     0x09022b2b,
     0x51042b04,
     0x240000ec,
     0x240000ca,
     0x2400008a,
     0x00018282,
     0x8082aa8a,
     0x21020100,
     0x109292d3,
     0x241b20e3,
     0x90e32a9d,
     0x0904dde3,
     0x010ce3e3,
     0x90e3269e,
     0x5700defd,
     0x241e00e2,
     0x009d8282,
     0x09050d83,
     0x00838283,
     0x9283eb94,
     0x50d4d311,
     0x5094d316,
     0x50d5d31c,
     0x5095d322,
     0x50d6d328,
     0x5096d32e,
     0x50d7d334,
     0x5097d33a,
     0x50d8d340,
     0x5098d346,
     0x50d9d34c,
     0x5099d352,
     0x50dad358,
     0x509ad35e,
     0x50dbd364,
     0x509bd36a,
     0x21019b00,
     0x09040de1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0101e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0102e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0103e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0104e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0105e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0106e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0107e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0108e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x0109e1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x010ae1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x010be1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x010ce1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x010de1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x010ee1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x21019700,
     0x09040de1,
     0x010fe1e1,
     0x0087e1e1,
     0x0904e1e1,
     0x010ce1e1,
     0x80e12690,
     0x0904dde3,
     0x010ce3e3,
     0x80e3269e,
     0x2100af00,
     0x000dc7e3,
     0x0904e3e3,
     0x010ce3e3,
     0x90e3269c,
     0x0100fce0,
     0x24000060,
     0x0100400b,
     0x110f4040,
     0xf1042081,
     0x0901e1e1,
     0x09050de0,
     0x00e0e1e1,
     0x00828182,
     0x80820b93,
     0x0904dde3,
     0x010ce3e3,
     0x80e3269e,
     0x0100f2ec,
     0x51002b05,
     0x2400032b,
     0x01006b4b,
     0x0100ca8a,
     0x2101b300,
     0x2400012b,
     0x01004d6b,
     0x01009cca,
     0x09046de1,
     0x241d00e2,
     0x00018282,
     0x8082aa8a,
     0x21020100,
     0x2701e2e2,
     0x00e2e0e0,
     0x0b03e00d,
     0x0100e04d,
     0x00c8e0e0,
     0x0904e0e0,
     0x010ce0e0,
     0x90e02684,
     0x5500e4ed,
     0x0100e4e3,
     0x24000063,
     0x110f4343,
     0xf1042381,
     0x09040de0,
     0x00e1e0e5,
     0x0087e5e5,
     0x241b20e3,
     0x90e32a9d,
     0x0904dde3,
     0x010ce3e3,
     0x90e3269e,
     0x5700defd,
     0x0904e5e5,
     0x010ce5e5,
     0x90e52690,
     0x6900f011,
     0x240000e0,
     0x241e00e3,
     0x0901e1e1,
     0x09050de5,
     0x00e5e1e1,
     0x00838181,
     0x009d8181,
     0x80810b80,
     0x000dc7e3,
     0x0904e3e3,
     0x010ce3e3,
     0x80e32684,
     0x0904dde3,
     0x010ce3e3,
     0x80e3269e,
     0x2100af00,
     0x0904dde3,
     0x010ce3e3,
     0x80e3269e,
     0x2400ff2d,
     0xf5007091,
     0x0100f9f2,
     0x69ff2d16,
     0x0100f2ec,
     0x51002b0c,
     0x50ca8407,
     0x2400032b,
     0x0100ca8a,
     0x010084ca,
     0x01006b4b,
     0x01004d6b,
     0x2101fc00,
     0x2400022b,
     0x240001f6,
     0xe1102e96,
     0x2101fc00,
     0x2400012b,
     0x010084ca,
     0x01004d6b,
     0x0100440b,
     0x09046de1,
     0x241d00e2,
     0x00018282,
     0x8082aa8a,
     0x006dcafc,
     0x0b1ef233,
     0x4900330e,
     0x0100f0fd,
     0x0504f0f1,
     0xf100319b,
     0xe100ee9b,
     0xf1043080,
     0x006dc9e3,
     0x0904e3e3,
     0x010ce3e3,
     0x80e32690,
     0x21023700,
     0x113f7272,
     0xe1203092,
     0x21020300,
     0x241cf8e3,
     0x90836a8a,
     0x5700cbfb,
     0x10f1f1e1,
     0x1d16e1e1,
     0x5103330a,
     0x51023305,
     0x01010be0,
     0x0904e0e0,
     0x48e0e10a,
     0x21022400,
     0x01012be0,
     0x0904e0e0,
     0x48e0e106,
     0x21022400,
     0x0101cbe0,
     0x0904e0e0,
     0x48e0e102,
     0x21022400,
     0xe1003080,
     0x006d8ae3,
     0x2400ff00,
     0xe1051060,
     0x2eff8181,
     0x24004021,
     0x00c96de2,
     0x12e2e1e1,
     0xe10a10c1,
     0x0100f0fd,
     0x0100f1fe,
     0x1f16fefe,
     0x0504f0f1,
     0xf100319b,
     0xe100ee9b,
     0xf1043080,
     0x130bf0f0,
     0x0904e3e3,
     0x010ce3e3,
     0x80e32690,
     0x241c00e2,
     0x09016de1,
     0x00e2e1e2,
     0x90e20a80,
     0x5100200e,
     0x240001e1,
     0x61200005,
     0x05200000,
     0x0800e1e1,
     0x81042381,
     0x21024900,
     0x0800e1e1,
     0x81002381,
     0x21024900,
     0x010089e0,
     0x0904e0e3,
     0x010ce3e3,
     0x80e32686,
     0x241b00e2,
     0x82e26a87,
     0x240000e9,
     0x241404ea,
     0x24141ceb,
     0x241414e3,
     0x0104e3e3,
     0x90e30a14,
     0x90eaea8e,
     0xc8e97466,
     0x0100cee4,
     0x0904e4e4,
     0x010ce4e4,
     0x90e42687,
     0x5100e735,
     0x0100e7e8,
     0x11f00707,
     0x69236703,
     0x24000067,
     0x110f4747,
     0xf100e795,
     0x240000f7,
     0x5106d504,
     0x5107d50f,
     0x240002f7,
     0x21028800,
     0x240004e3,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x21026d00,
     0x010095e0,
     0x5101e204,
     0x0095e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x21028500,
     0x240004e3,
     0x240100e1,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x21027a00,
     0x0100e1e0,
     0x5101e204,
     0x00e1e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x21028400,
     0x010095e0,
     0x5101e204,
     0x0095e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0xf0e31682,
     0x00ebe3e3,
     0x80e30a82,
     0xe1082797,
     0x0904f8e3,
     0x010ce3e3,
     0x80e32688,
     0x0100cfe1,
     0x0904e1e1,
     0x010ce1e1,
     0x90e1268c,
     0x5100ec08,
     0x0100eced,
     0x11f00d0d,
     0xf1202d9d,
     0x243fffe1,
     0x10e1fde8,
     0x2400001c,
     0x2102bb00,
     0x241a20e3,
     0x90832a8a,
     0x240000e5,
     0x5085ca1d,
     0x0100cae1,
     0x0904e1e1,
     0x010ce1e1,
     0x90e1268c,
     0x0100eced,
     0x11f00d0d,
     0x50e5ec16,
     0xf1308d96,
     0x240000e3,
     0x10835757,
     0x5085570e,
     0xf1002d95,
     0x240000f5,
     0xe1002d95,
     0x241414e3,
     0x0100e3e3,
     0x90e32a93,
     0x0101f3f3,
     0x80e32a93,
     0xf1002d80,
     0x13020d0d,
     0x09048ee3,
     0x010ce3e3,
     0x80e3268d,
     0x243fffe1,
     0x10e197e8,
     0x2400011c,
     0x2102bb00,
     0x241b00e2,
     0x92e26a87,
     0x21004b00,
     0x2400ffe1,
     0x240000e2,
     0x10e1e8e7,
     0x0ae2e7e7,
     0x243f00e1,
     0x240008e2,
     0x10e1e8e6,
     0x0ae2e6e6,
     0x0101d0e1,
     0x70e8e11b,
     0x240004e3,
     0x240100e1,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x2102d000,
     0x0100e1e0,
     0x5101e204,
     0x00e1e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x2102da00,
     0x0100e8e0,
     0x5101e204,
     0x00e8e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x00ebe3e3,
     0x90e30a85,
     0x240000e6,
     0x2102ec00,
     0x240004e3,
     0x240002e2,
     0x6900e203,
     0x0100e2e0,
     0x2102e900,
     0x0100e7e0,
     0x5101e204,
     0x00e7e0e0,
     0x0501e2e2,
     0x6f01e2fe,
     0x00e0e3e3,
     0x00ebe3e3,
     0x90e30a85,
     0x24000fe1,
     0xd0e1e50e,
     0xf1002d95,
     0x240000f5,
     0xe1002d95,
     0x241414e3,
     0x0100e3e3,
     0x90e32a93,
     0x0101f3f3,
     0x80e32a93,
     0xf1002d80,
     0x09048ee3,
     0x010ce3e3,
     0x80e3268c,
     0x21034300,
     0x244000e1,
     0x24000ee2,
     0x10e1e5e4,
     0x0ae2e4e4,
     0x6900e415,
     0x240100e1,
     0x240008e2,
     0x10e1e5e4,
     0x0ae2e4e4,
     0x0900e8e8,
     0x0910e4e4,
     0x00e8e4e4,
     0x51011c05,
     0x2400009d,
     0x2400005d,
     0x00fde4fd,
     0x21030d00,
     0x0100e4fd,
     0xe1202d9d,
     0x24007fe1,
     0x240000e2,
     0x10e1e5e4,
     0x0ae2e4e4,
     0x00e48fe5,
     0x21031c00,
     0x243fffe1,
     0x240000e2,
     0x10e1e5e4,
     0x0ae2e4e4,
     0x00e4e6e5,
     0x0101d0e1,
     0x48e8e102,
     0x0431e5e5,
     0x68d18523,
     0xf1082d82,
     0x24f0ffc1,
     0x24ffff81,
     0x10e2e1e2,
     0x240200c1,
     0x24000081,
     0x12e2e1e2,
     0xe1082d82,
     0xf1002d82,
     0x24c1ffc1,
     0x24ffff81,
     0x10e2e1e2,
     0x243c00c1,
     0x24000081,
     0x12e2e1e2,
     0xe1002d82,
     0xf1308d96,
     0x2eff8396,
     0x240000e1,
     0x090ee1e1,
     0x12819797,
     0x10e8e8e1,
     0x243fffe2,
     0x10e2e1e1,
     0x12819797,
     0xe1308d96,
     0xf1002d80,
     0x10edede0,
     0x130fe0e0,
     0x0904e5e3,
     0x010ce3e3,
     0x80e32680,
     0x57001c5b,
     0x2102b800,
     0xf1002d80,
     0x0904e5e3,
     0x010ce3e3,
     0x80e3268c,
     0x57001c55,
     0x2102b800 };


#endif /* _BIG_ENDIAN */
#endif /* TI_EM_DIST_SW_SCHED */
#endif /* EVENT_MACHINE_FIRMWARE_H_ */
