/*
 * Copyright (c) 2012, Texas Instruments Incorporated - http://www.ti.com/
 *   All rights reserved.
 *
 *   Redistribution and use in source and binary forms, with or without
 *   modification, are permitted provided that the following conditions are met:
 *       * Redistributions of source code must retain the above copyright
 *         notice, this list of conditions and the following disclaimer.
 *       * Redistributions in binary form must reproduce the above copyright
 *         notice, this list of conditions and the following disclaimer in the
 *         documentation and/or other materials provided with the distribution.
 *       * Neither the name of Texas Instruments Incorporated nor the
 *         names of its contributors may be used to endorse or promote products
 *         derived from this software without specific prior written permission.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *   WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *   DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 *   DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 *   (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *   LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 *   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *   (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *   SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#ifndef _MY_EM_INIT_H_
#define _MY_EM_INIT_H_

/* Importing some of the Open EM defined symbols and my configuration */
#include "my_event_machine.h"

#define MY_SHARED_MEM_SIZE ((MY_EM_EVENT_NUM * MY_EM_EVENT_BUF_SIZE) +	\
			    (MY_JOB_NUM * sizeof(my_job_desc_t)) + PAGE_SIZE)
#define MY_SHARED_MEM_NAME "openem_example3"
#define MY_SHARED_MEM_ID   TI_EM_OSAL_SHM_DEFAULT_ID

extern em_queue_t *my_em_proc_queue_hdl_tbl;
extern em_queue_t *my_em_sink_queue_hdl;
extern uint8_t    *my_em_event_buf_mem;
extern uint32_t    my_em_pdsp_num;

int my_em_init_queues(uint32_t core_num);
int my_em_init_global(void);
int my_em_init_local(void);
int my_em_exit_global(uint32_t core_num);
int my_em_shared_init(int);

#endif /*_MY_EM_INIT_H_*/
